package digital.laboratory.platform.reagent.constans;

import lombok.*;

@RequiredArgsConstructor
@Getter
public enum ReagentStatusConstants {
    /**
     * 采购目录的状态
     */
    CATALOGUE_STATUS_NOT_COMMIT(0, "未提交"),
    CATALOGUE_STATUS_COMMIT(1, "已提交"),
    CATALOGUE_STATUS_FIRST_AUDIT(2, "一级审核通过"),
    CATALOGUE_STATUS_SECOND_AUDIT(3, "二级审核通过"),
    CATALOGUE_STATUS_NOT_AUDIT(-1, "审核不通过"),
    CATALOGUE_STATUS_RELEASED(4, "已发布"),
    /**
     * 集中采购申请的状态
     */
    CENTRALIZED_PURCHASING_NOT_COMMIT(0, "未提交"),
    CENTRALIZED_PURCHASING_COMMIT(1, "已提交"),
    CENTRALIZED_PURCHASING_AUDIT(6, "审核通过"),
    CENTRALIZED_PURCHASING_NOT_AUDIT(-2, "审核不通过"),
    CENTRALIZED_PURCHASING_TO_PLAN(3, "已被制定为采购计划"),
    CENTRALIZED_PURCHASING_TO_LIST(4, "已被制定为采购清单"),
    /**
     * 采购计划的状态
     */
    PURCHASING_PLAN_NOT_COMMIT(0, "未提交"),
    PURCHASING_PLAN_COMMIT(1, "已提交"),
    PURCHASING_PLAN_AUDIT(2, "审核通过"),
    PURCHASING_PLAN_APPROVE(3, "审批通过"),
    PURCHASING_PLAN_NOT_AUDIT(-1, "审核/审批不通过"),
    PURCHASING_PLAN_TO_LIST(4, "已被制定为采购清单"),
    /**
     * 采购清单的状态
     */
    PURCHASING_LIST_NOT_COMMIT(0, "未提交"),
    PURCHASING_LIST_COMMIT(1, "已提交"),
    /**
     * 入库签收单的状态
     */
    WAREHOUSING_NOT_STARTED(0, "未开始"),
    WAREHOUSING_STARTED(1, "已开始"),
    WAREHOUSING_COMPLETE(2, "已完成"),
    /**
     * 入库明细的状态
     */
    WAREHOUSING_COUNT_NOT_COMPLETE(0, "未完成"),
    WAREHOUSING_COUNT_COMPLETE(1, "已开始"),
    /**
     * 验收单的状态
     */
    ACCEPTANCE_NOT_COMMIT(0, "未提交"),
    ACCEPTANCE_COMMIT(1, "已提交"),
    ACCEPTANCE_FIRST_AUDIT(2, "一级审核通过"),
    ACCEPTANCE_SECOND_AUDIT(3, "二级审核通过"),
    ACCEPTANCE_THIRD_AUDIT(6, "三级审核通过"),
    ACCEPTANCE_NOT_FIRST_AUDIT(-2, "一级审核不通过"),
    ACCEPTANCE_NOT_SECOND_AUDIT(-3, "二级审核不通过"),
    ACCEPTANCE_NOT_THIRD_AUDIT(-4, "三级审核不通过");

    private final Integer status;
    private final String statusName;



}
